package com.company;

/**
 * Класс реализующий "банк"
 */
public class Bank {
    /**
     * Голова списка счетов банка
     */
    private Bill Head;

    /**
     * Счётчик клиентов банка. Обновлятся при добавлении нового клиента или удалении старого счёта.
     */
    private int count;

    private String name;

    /**
     * Конструктор открывающий банк
     *
     * @param name наименование банка
     */
    public Bank(String name) {
        this.name = name;
    }

    public int getClientCount() {
        return count;
    }

    public String getName() {
        return name;
    }

    public void Add(String passport, String phone, String name, double balance) {
        Bill newBill = new Bill(balance, passport, phone, name, count);

        if (Head == null) {
            Head = newBill;
        } else {
            Bill last = Head;

            while (last.Next != null) {
                last = last.Next;
            }

            last.Next = newBill;
        }

        count++;
    }

    public void ShowClientsInfo() {
        Bill current = Head;

        while (current != null) {
            System.out.printf("Bill number: %s; Client: %s; Passport: %s; Phone: %s; Balance: %.2f;\n", current.getNumber(), current.getName(), current.getPassport(), current.getPhone(), current.getBalance());
            current = current.Next;
        }
    }
}
